package kz.cafe;

import java.util.*;
import kz.cafe.constants.*;
import kz.cafe.db.model.*;

public class Export{
   @SuppressWarnings("rawtypes")
   
   public static void main(String[] args){
      HashMap<String, Class> map = new HashMap<String, Class>();
      
      map.put("feedback",        MFeedback.class);
      map.put("cafe",            MCafe.class);
      map.put("ingredient",      MIngredient.class);
      map.put("course",          MCourse.class);
      map.put("sale",            MSale.class);
      map.put("news",            MNews.class);
      map.put("service_types",   MServiceType.class);
      map.put("cafe_types",      MCafeType.class);
      map.put("course_category", MCafeType.class);
      map.put("city",            MCity.class);
      map.put("phone",           MPhone.class);
      map.put("cafe_image",      MCafeImage.class);

      for(InterfaceConstants.LANGS lang : InterfaceConstants.LANGS.values()) { 
         DbExport.export(args[0], map, lang);
      }
   }
}
